Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::aux::move_fn Struct Reference
Utility
Inheritance diagram for ranges::aux::move_fn:

## Public Member Functions
template<typename T >
constexpr meta::_t< std::remove_reference< T > > && | operator() (T &&t) const noexcept
template<typename T >
constexpr decltype(auto) friend | operator| (T &&t, move_fn move) noexcept